Package net.shibboleth.idp.profile.context

# Class SpringRequestContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.profile.context.SpringRequestContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SpringRequestContext extends BaseContext
A `BaseContext` which holds the Spring WebFlow `RequestContext` in which the overall parent context is operating.

Actions that make use of this context type are specific to Spring Web Flow and cannot be orchestrated without that technology.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private RequestContext`
`context`
The request context represented.

## Constructor Summary

Constructors
Constructor
Description
`SpringRequestContext()`

## Method Summary

Modifier and Type
Method
Description
`RequestContext`
`getRequestContext()`
Get the request context.
`void`
`setRequestContext(RequestContext newContext)`
Set the request context.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### context

@Nullable private RequestContext context
The request context represented.

## Constructor Details

### SpringRequestContext

public SpringRequestContext()

## Method Details

### getRequestContext

@Nullable public RequestContext getRequestContext()
Get the request context.

Returns:
  the event

### setRequestContext

public void setRequestContext(@Nullable RequestContext newContext)
Set the request context.

Parameters:
  `newContext` - the request context